Users

Users

Manage users within your Bynder account. You can create, retrieve, update, and delete users as needed.

Retrieve users

get
https://{your-bynder-domain}/api/v4/users/

Query Parameters

includeInActiveboolean

Whether to include inactive users in the list of results.

Default:false

limitinteger

Maximum results to return. If limit is not provided, all results are returned.

Default:100

pageinteger

What page of results to return.

Default:1

Response

200 application/json

Successful response

activeinteger
countrystring
emailstring
email2string
employeeNumberstring
groupsarray[object]
Show Child Parameters
idstring
isSSOOnlyboolean
namestring
profileIdstring
salesrepIdstring
timeZonestring
usernamestring
websitestring
get/api/v4/users/
 
200 application/json

Create user

post
https://{your-bynder-domain}/api/v4/users/

Body

application/x-www-form-urlencoded

User

activeinteger

Allowed values:1

Default:1

companyNamestring
costCenterstring
departmentstring
emailstringrequired
firstnamestringrequired
groupIdsstring
infixstring
isSSOOnlyboolean

Default:false

jobstring
languagestring
lastnamestringrequired
passwordstringrequired
phoneNumberstring
profileIdstringrequired
usernamestring

Response

201 application/json

User created

idstring
usernamestring
post/api/v4/users/

Body

{ "email": "email", "firstname": "firstname", "lastname": "lastname", "password": "password", "profileId": "profileId" }
 
201 application/json

Users ID

Manage specific users by their ID. This includes retrieving, updating, and deleting user information based on the user ID.

Delete user

delete
https://{your-bynder-domain}/api/v4/users/{id}

Path Parameters

idstringrequired

The id or username of the user you’d like to delete.

Response

204

User deleted

delete/api/v4/users/{id}
 
204